<style>
	table.toppage {
		table-layout: fixed;
	}

	table.toppage th {
		text-align: center;
		vertical-align: middle;
	}

	table.toppage td {
		text-align: center;
		vertical-align: middle;
		border: 2px dotted #e1e1e1;
	}

	table.toppage td.border_inner {
		border-right-width: 2px;
		border-right-style: dotted;
		border-right-color: #e1e1e1;
	}
</style>
{% extends "layout.html" %}
<!-- これで元になるHTML(laytout.html)を指定 -->

{% block body %}
<!-- layout.htmlのbodyというブロックを以下で置き換える -->

<style>
	@keyframes fadeOut {
		from {
			opacity: 1;
		}

		to {
			display: none;
			opacity: 0;
			z-index: -1;
		}
	}

	#loader {
		width: 100%;
		height: 100vh;
		background-color: #00c2bc;
	}

	#loader.loaded {
		animation: fadeOut 3s forwards;
	}

	.spinner {
		margin: 0 auto;
		width: 40px;
		height: 40px;
		position: relative;
		top: 50%;
	}

	.cube1,
	.cube2 {
		background-color: #ffffff;
		width: 15px;
		height: 15px;
		position: absolute;
		top: 0;
		left: 0;

		-webkit-animation: sk-cubemove 1.8s infinite ease-in-out;
		animation: sk-cubemove 1.8s infinite ease-in-out;
	}

	.cube2 {
		-webkit-animation-delay: -0.9s;
		animation-delay: -0.9s;
	}

	@-webkit-keyframes sk-cubemove {
		25% {
			-webkit-transform: translateX(42px) rotate(-90deg) scale(0.5)
		}

		50% {
			-webkit-transform: translateX(42px) translateY(42px) rotate(-180deg)
		}

		75% {
			-webkit-transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5)
		}

		100% {
			-webkit-transform: rotate(-360deg)
		}
	}

	@keyframes sk-cubemove {
		25% {
			transform: translateX(42px) rotate(-90deg) scale(0.5);
			-webkit-transform: translateX(42px) rotate(-90deg) scale(0.5);
		}

		50% {
			transform: translateX(42px) translateY(42px) rotate(-179deg);
			-webkit-transform: translateX(42px) translateY(42px) rotate(-179deg);
		}

		50.1% {
			transform: translateX(42px) translateY(42px) rotate(-180deg);
			-webkit-transform: translateX(42px) translateY(42px) rotate(-180deg);
		}

		75% {
			transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5);
			-webkit-transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5);
		}

		100% {
			transform: rotate(-360deg);
			-webkit-transform: rotate(-360deg);
		}
	}
</style>

<div class="container">
	<div class="row align-items-center justify-content-center">
		<div class="col">
			<h1 style="margin-top: 0.5%; margin-bottom: 0%; font-size: 150%;">
				<a href="/localdb/" style="color:rgba(0, 0, 0, 0.648);">Top Page</a> >
				<a href="/localdb/components" style="color:rgba(0, 0, 0, 0.648);">Component List</a> >
				<a href='{{ url_for('component_api.show_component', id=doc['_id'], collection='component' ) }}' style="color:rgba(0, 0, 0, 0.648);">Component</a>
				{% if "local" in doc['pstage'] %}
				> <a href='{{ url_for('component_api.customize_module', module=doc['module'], id=doc['_id'], stage='option' ) }}' style="color:rgba(0, 0, 0, 0.648);">Customize Module Stage</a> > Change stage in LocalDB
				{% elif "itkpd" in doc['pstage'] %}
				> <a href='{{ url_for('component_api.customize_module', module=doc['module'], id=doc['_id'], stage='option' ) }}' style="color:rgba(0, 0, 0, 0.648);">Customize Module Stage</a> > Pull stage from ITkPD
				{% else %}
				> Customize Module Stage
				{% endif %}
			</h1>
		</div>
	</div>
</div>

<div class="container">
	<div class="row align-items-center justify-content-center">
		<div class="col">
			<h1>Customize Module Stage</h1>
			{% if doc['module'] %}
				<h2>Module SN: {{ doc['module'] }}</h2>
			{% endif %}
		</div>
	</div>
	<br>

	{% if doc['pstage'] == "option" %}
	<div class="container">
		<div class="row align-items-center justify-content-center">
			<div class="col">

				<h4>You can customize module stage information.</h4>
				<form style="margin-bottom: 0px;" class="form-holizontal" name="formA" role="form" method="post" action="{{ url_for('component_api.customize_module', module=doc['module'], id=doc['_id'], stage=doc['pstage'] ) }}" accept-charset="UTF-8">
					<h3 style="margin-left: 10px; margin-top: 15px;"><a href="javascript:void(0)" onclick="document.formA.submit();return false;"><i class="fa fa-wrench"></i> Locally change module's stage</a></h3>
					<input type=hidden name="pstage" value="local_input">
				</form>
				<form class="form-holizontal" name="formB" role="form" method="post" action="{{ url_for('component_api.customize_module', module=doc['module'], id=doc['_id'] , stage=doc['pstage'] ) }}" accept-charset="UTF-8">
					<h3 style="margin-left: 10px;"><a href="javascript:void(0)" onclick="document.formB.submit();return false;"><i class="fa fa-download "></i> Pull module's stage-flow with ITkPD</a></h3>
					<input type=hidden name="pstage" value="itkpd_input">
				</form>
			</div>
		</div>
	</div>


	<div class="container">
		<div class="row align-items-center justify-content-center">
			<div class="col">
				<h5><a href='{{ url_for('component_api.show_component', id=doc['_id'], collection='component' ) }}'>Back to the component page</a></h5>
			</div>
		</div>
	</div>

	{% elif doc['pstage'] == "itkpd_input" %}
	<div class="container">
		<div class="row align-items-center justify-content-center">
			<div class="col">

				<form class="form-holizontal" role="form" method="post" action="{{ url_for('component_api.customize_module', module=doc['module'], stage=doc['pstage'] ) }}" accept-charset="UTF-8">
					<h4>Please input 2 access codes for ITkPD.</h4>
					<h4>You will reflesh stage flow to match ITkPD.</h4>
					<h4 style="color: red;"><i class="fa fa-warning"></i> It delete sign-off list. You need to sign-off from the first stage.</h4><br>
					<div class="form-group row">
						<label class="col-form-label col-md-3">Access code 1<font color=#ff0000>*</font></label>
						<div class="col-md-9">
							<input type="password" class="form-control" value="{{ code1 }}" placeholder="Access code 1" name="code1" required="required">
						</div>
					</div>
					<div class="form-group row">
						<label class="col-form-label col-md-3">Access code 2<font color=#ff0000>*</font></label>
						<div class="col-md-9">
							<input type="password" class="form-control" value="{{ code2 }}" placeholder="Access code 2" name="code2" required="required">
						</div>
					</div>
					{% if not doc["text"] == '' %}
					<div class="form-group row">
						<label class="col-form-label col-md-3"></label>
						<div class="col-md-9">
							<h5>
								<font color=#ff0000><i class="fa fa-warning "></i> {{ doc["text"] }}</font>
							</h5>
						</div>
					</div>
					{% endif %}

					<div class="form-group row">
						<div class="col-form-label col-md-3"></div>
						<div class="col-md-9">
							<button type="submit" class="btn btn-primary" name="pstage" value="itkpd_complete">Fix module stage</button>
						</div>
					</div>
				</form>
				<h5><a href='{{ url_for('component_api.customize_module', module=doc['module'],
						stage='option' ) }}'>Back to selection page</a></h5>

			</div>
		</div>
	</div>

	{% elif doc['pstage'] == "local_input" %}
	<div class="container">
		<div class="row align-items-center justify-content-center">
			<div class="col">
				<h2>
					You can change a stage of LocalDB
				</h2>
			</div>
		</div>
	</div>

	<div class="container">
		<div class="row align-items-center justify-content-center">
			<div class="col">

				<form class="form-holizontal" role="form" method="post"
					action="{{ url_for('component_api.customize_module', module=doc['module']) }}"
					accept-charset="UTF-8">
					{% if doc["pstage"] == "local_input" %}
					<h3>Current Stage: {{ doc["cstage"] }}</h3><br>
					<h3> Select Stage </h3>
					<select class="form-control" name="nstage" id=required="required" value="{{ nstage }}">
						<option value="">*** select stage ***</option>
						{% for stage in doc["stages"] %}
						<option value="{{ stage }}">{{ stage }}</option>
						{% endfor %}
					</select>

					<br>
					<div class="col-md-12">
						<button type="submit" class="btn btn-primary" name="pstage"
							value="local_complete">change stage</button>
					</div>
					<!--<input type="submit" value="complete" name="pstage">-->

					<br>
					{% if doc["text"] == "Please select stage from pull-down menue..." %}
					<h2>
						<font color="red"><i class="fa fa-warning"></i> {{ doc["text"] }}</font>
					</h2>
					{% elif doc["text"] != "" %}
					<h2>
						<font color="blue">{{ doc["text"] }}</font>
					</h2>
					{% endif %}

					{% endif %}
				</form>
				<form class="form-holizontal" role="form" method="post"
					action="{{ url_for('component_api.show_component', id=doc['_id'], collection='component') }}"
					accept-charset="UTF-8">
					<button type="submit" class="btn btn-primary" name="pstage" value="local_complete">Go to the component's page</button>
				</form>
				<br>
				<h5><a href='{{ url_for('component_api.customize_module', module=doc['module'], collection='option') }}'>Back to selection page</a></h5>
			</div>
		</div>
	</div>

	{% endif %}

</div>
<br>

{% endblock %}
